GrailsOpenSessionInViewInterceptor (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class GrailsOpenSessionInViewInterceptor

    java.lang.Object
      org.springframework.orm.hibernate3.HibernateAccessor
          org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor
              org.codehaus.groovy.grails.orm.hibernate.support.GrailsOpenSessionInViewInterceptor

    public class GrailsOpenSessionInViewInterceptor
    extends org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor

Extends the default spring OSIVI and doesn't flush the session if it has been set to MANUAL on the session itself.

Authors:
  Graeme Rocher

Since:
  0.5

Field Summary

Fields inherited from class org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor
PARTICIPATE_SUFFIX, FLUSH_NEVER, FLUSH_AUTO, FLUSH_EAGER, FLUSH_COMMIT, FLUSH_ALWAYS

Fields inherited from class org.springframework.orm.hibernate3.HibernateAccessor
FLUSH_NEVER, FLUSH_AUTO, FLUSH_EAGER, FLUSH_COMMIT, FLUSH_ALWAYS

Method Summary
`void` | `afterCompletion(org.springframework.web.context.request.WebRequest request, java.lang.Exception ex)`
`protected void` | `flushIfNecessary(org.hibernate.Session session, boolean existingTransaction)`
`void` | `postHandle(org.springframework.web.context.request.WebRequest request, org.springframework.ui.ModelMap model)`
`void` | `preHandle(org.springframework.web.context.request.WebRequest request)`

Methods inherited from class org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor
org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#setSingleSession(boolean), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#preHandle(org.springframework.web.context.request.WebRequest), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#postHandle(org.springframework.web.context.request.WebRequest, org.springframework.ui.ModelMap), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#afterCompletion(org.springframework.web.context.request.WebRequest, java.lang.Exception), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#setFlushMode(int), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#afterPropertiesSet(), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#getFlushMode(), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#setSessionFactory(org.hibernate.SessionFactory), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#getSessionFactory(), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#getEntityInterceptor(), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#convertHibernateAccessException(org.hibernate.HibernateException), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#getJdbcExceptionTranslator(), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#setEntityInterceptorBeanName(java.lang.String), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#setEntityInterceptor(org.hibernate.Interceptor), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#setJdbcExceptionTranslator(org.springframework.jdbc.support.SQLExceptionTranslator), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#setFlushModeName(java.lang.String), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#setFilterName(java.lang.String), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#setFilterNames([Ljava.lang.String;), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#getFilterNames(), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#wait(), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#wait(long, int), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#wait(long), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#equals(java.lang.Object), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#toString(), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#hashCode(), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#getClass(), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#notify(), org.springframework.orm.hibernate3.support.OpenSessionInViewInterceptor#notifyAll()

Methods inherited from class org.springframework.orm.hibernate3.HibernateAccessor
org.springframework.orm.hibernate3.HibernateAccessor#setFlushMode(int), org.springframework.orm.hibernate3.HibernateAccessor#afterPropertiesSet(), org.springframework.orm.hibernate3.HibernateAccessor#getFlushMode(), org.springframework.orm.hibernate3.HibernateAccessor#setSessionFactory(org.hibernate.SessionFactory), org.springframework.orm.hibernate3.HibernateAccessor#getSessionFactory(), org.springframework.orm.hibernate3.HibernateAccessor#getEntityInterceptor(), org.springframework.orm.hibernate3.HibernateAccessor#convertHibernateAccessException(org.hibernate.HibernateException), org.springframework.orm.hibernate3.HibernateAccessor#getJdbcExceptionTranslator(), org.springframework.orm.hibernate3.HibernateAccessor#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.orm.hibernate3.HibernateAccessor#setEntityInterceptorBeanName(java.lang.String), org.springframework.orm.hibernate3.HibernateAccessor#setEntityInterceptor(org.hibernate.Interceptor), org.springframework.orm.hibernate3.HibernateAccessor#setJdbcExceptionTranslator(org.springframework.jdbc.support.SQLExceptionTranslator), org.springframework.orm.hibernate3.HibernateAccessor#setFlushModeName(java.lang.String), org.springframework.orm.hibernate3.HibernateAccessor#setFilterName(java.lang.String), org.springframework.orm.hibernate3.HibernateAccessor#setFilterNames([Ljava.lang.String;), org.springframework.orm.hibernate3.HibernateAccessor#getFilterNames(), org.springframework.orm.hibernate3.HibernateAccessor#wait(), org.springframework.orm.hibernate3.HibernateAccessor#wait(long, int), org.springframework.orm.hibernate3.HibernateAccessor#wait(long), org.springframework.orm.hibernate3.HibernateAccessor#equals(java.lang.Object), org.springframework.orm.hibernate3.HibernateAccessor#toString(), org.springframework.orm.hibernate3.HibernateAccessor#hashCode(), org.springframework.orm.hibernate3.HibernateAccessor#getClass(), org.springframework.orm.hibernate3.HibernateAccessor#notify(), org.springframework.orm.hibernate3.HibernateAccessor#notifyAll()

Method Detail

### afterCompletion

    @Override
    public void afterCompletion(org.springframework.web.context.request.WebRequest request, java.lang.Exception ex)

### flushIfNecessary

    protected void flushIfNecessary(Session session, boolean existingTransaction) throws HibernateException {
    protected void flushIfNecessary(org.hibernate.Session session, boolean existingTransaction)

### postHandle

    @Override
    public void postHandle(org.springframework.web.context.request.WebRequest request, org.springframework.ui.ModelMap model)

### preHandle

    @Override
    public void preHandle(org.springframework.web.context.request.WebRequest request)

Groovy Documentation